An Upgrade is required. . .

Page 1 of 1 (7 items)
This post has 6 Replies | 1 Follower

Posts 82
Al Sosa | Forum Activity | Posted: Mon, Feb 20 2012 4:32 AM

Greetings to all. . .

I read the different posts on this error message, but it did not address my problems.

First, it worked yesterday very well. Then today when I clicked the icon, I got the error message "An Upgrade is required". After downloading and clicking the link, I clicked again on the icon, it told me that I already have the updated version and then it closed. So, I have the updated version but it does not work.

Background: I've bought a new PC and after hours of download and much time, it worked the first time around.

If anyone has a light as to what may be wrong and what I'm missing, please share your wisdom.

Very much thankful.

God bless. . .

Al Sosa

Posts 5337
Kevin Becker | Forum Activity | Replied: Mon, Feb 20 2012 5:06 AM

First, let's try a repair of the program. Go to Control Panel>Programs and Features. Right click on Logos 4 and select repair. Once that process completes attempt to start the program.

If that doesn't work perhaps some diagnostic logs will shed some light on the problem. Follow the instructions on that link and upload them to this thread.

Posts 82
Al Sosa | Forum Activity | Replied: Mon, Feb 20 2012 5:18 AM

Kevin,

Thanks for your reply. I did the control panel and did the repair procedure. It did not work.

Next, I did the control key procedure, according to the instrucions, it did not work either. It still gave me the error message "Upgrade required. . . "

Thank you.

Al

 

Posts 5337
Kevin Becker | Forum Activity | Replied: Mon, Feb 20 2012 5:26 AM

Al,

Normally I wouldn't suggest this but the next release is in Release Candidate phase. It's technically a beta version but you shouldn't have any problems.

Try installing from here: http://downloads.logos.com/LBS4/InstallerBeta/Logos4Setup.exe

Posts 82
Al Sosa | Forum Activity | Replied: Mon, Feb 20 2012 6:32 AM

Kevin,

IT WORKED! Smile

Thank you so very much. May the Lord bless your wisdom in helping others!!

This is a beta version, I'm taking for granted that I will not have any problems. Is there anything else I should consider or do?

God bless and thank you.

Al Sosa

 

Posts 5337
Kevin Becker | Forum Activity | Replied: Mon, Feb 20 2012 7:15 AM

The Release Candidate you installed could be shipped as the stable version. However, I did just see a bug report for it (page numbers on personal books not working right) that I suspect will result in at least one more Release Candidate.

If there are more release candidates your version won't auto update (It's a little hard to explain why) until they publish a "Gold" version. If you want those intermediate versions watch the Beta forum and use the download link to manually update.

Finally, if you do have problems before the Gold version is published ask for help on the beta forum.

Glad you're up and running.

Posts 82
Al Sosa | Forum Activity | Replied: Mon, Feb 20 2012 9:53 AM

OK, thank you, I'll keep an eye out for this information. . .

Al

 

Page 1 of 1 (7 items) | RSS